Ask Your Question
1

How to upgrade to Fedora 27 beta from Fedora 26?

asked 2017-10-03 20:05:44 -0600

krourke gravatar image

Attempting to upgrade to Fedora 27 beta via dnf fails on my system. I would really like to try the new release...

sudo dnf system-upgrade download --releasever=27
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Failed to synchronize cache for repo 'heliocastro-hack-fonts', disabling.
Failed to synchronize cache for repo 'konimex-neofetch', disabling.
Last metadata expiration check: 1:07:06 ago on Tue 03 Oct 2017 19:49:15 EDT.
Error: 
 Problem: nss-pem-1.0.3-3.fc26.i686 has inferior architecture
  - nss-pem-1.0.3-3.fc26.x86_64 does not belong to a distupgrade repository
  - problem with installed package nss-pem-1.0.3-3.fc26.i686

How can I fix broken package? Attempting to remove nss-pem tries to take much of the rest of the operating system with it. I am not sure how to proceed.

edit retag flag offensive close merge delete

Comments

I think I read that they only released x86_64 Beta at the moment, and apparently you are seeing issues with tome i686 packages. Could you try removing that packed (needed for Steam?) and see what happens. Cheers

casep gravatar imagecasep ( 2017-10-04 02:57:44 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
2

answered 2017-10-25 22:46:50 -0600

ajamesmiller35 gravatar image

I had this problem as well. I was able to get past it by adding the --allowerasing option when trying to update:

sudo dnf system-upgrade download --refresh --releasever=27 --allowerasing
edit flag offensive delete link more

Question Tools

Stats

Asked: 2017-10-03 20:05:44 -0600

Seen: 3,544 times

Last updated: Oct 03 '17